Fetch a DescriptionEntity object.
Retrieve an existing description entity description.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}import requests
url = "https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"long_description": {
"format": "DESCRIPTION_FORMAT_UNKNOWN",
"icon_link": "<string>",
"uri": "<string>",
"value": "<string>"
},
"short_description": "<string>",
"source_code": {
"link": "<string>"
},
"tags": [
"<string>"
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Identifies the specific type of resource that this identifier corresponds to.
UNSPECIFIED, TASK, WORKFLOW, LAUNCH_PLAN, DATASET Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User provided value for the resource.
Specific version of the resource.
Query Parameters
Optional, org key applied to the resource.
Response
A successful response.
DescriptionEntity contains detailed description for the task/workflow. Documentation could provide insight into the algorithms, business use case, etc.
Encapsulation of fields that uniquely identifies a Flyte resource.
Show child attributes
Show child attributes
Full user description with formatting preserved. This can be rendered by clients, such as the console or command line tools with in-tact formatting.
Show child attributes
Show child attributes
One-liner overview of the entity.
Show child attributes
Show child attributes
User-specified tags. These are arbitrary and can be used for searching filtering and discovering tasks.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}import requests
url = "https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"long_description": {
"format": "DESCRIPTION_FORMAT_UNKNOWN",
"icon_link": "<string>",
"uri": "<string>",
"value": "<string>"
},
"short_description": "<string>",
"source_code": {
"link": "<string>"
},
"tags": [
"<string>"
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}